Read owned request status

Read owned request status

GET
/api/v1/data/requests/{id}

Read owned request status

Authorization

headerX-API-Key<token>

Path Parameters

id*string
Formatuuid

Response Body

Safe request DTO. Structured extraction adds extraction state and preserves page_error/page_user_error. Error body uses the documented PublicError DTO.

application/json
  1. response
id*string
Formatuuid
batch_id*|
Formatuuid
url*string

Target origin only.

Formaturi
status*DataVisibleStatus

Job status in a detail/list DTO. Structured extraction requests expose extraction-run status at the top level.

Value in"pending""waiting_for_page""queued""running""solving_captcha""completed""failed""cancelled"
cached*boolean
protected*boolean
pricing_version*integer
Range1 <= value
base_tokens*integer
Range0 <= value
protected_tokens*integer
Range0 <= value
captcha_tokens*integer
Range0 <= value
captcha_type*|
Value in"captcha"null
token_state*DataTokenState
Value in"reserved""settlement_pending""settled""refunded"
request*
debug_artifacts*
error*|null
user_error*|null
result_meta*|null
proxy_used*|

Redacted transport marker; currently platform or null.

created_at*string
Formatdate-time
started_at*|
Formatdate-time
finished_at*|
Formatdate-time
result_expires_at*|
Formatdate-time
curl -X GET 'https://api.runharvester.com/api/v1/data/requests/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  --header "X-API-Key: ${RUNHARVESTER_API_KEY:?Set your Data API key}"
{  "id": "9a20bd58-ed33-4a5b-b63f-b52bb1a62248",  "status": "pending"}